<template>
    <div>
        <span
            class="timer-title"
            :style="{color: popup.colors.settings_title, fontSize: popup.title_size+'px'}"
        >{{ popup.title }}</span>
        <div
            :style="{color: popup.colors.timer_text}"
            class="timer-style-2"
        >
            <div
                class="timer-text"
                :style="{color: popup.colors.timer_pre_text_color, fontSize: popup.timer_text_size+'px'}"
            >
                {{ popup.timer_pre_text }}
            </div>
            <div
                class="timer-number-background"
                :style="{backgroundColor: popup.colors.timer_background}"
            >
                <div class="number-container">
                    <div style="display: flex">
                        <span class="">{{ hourOne }}</span>
                        <span class="">{{ hourTwo }}</span>
                    </div>
                    <span class="space-margin">:</span>
                    <div style="display: flex">
                        <span class="">{{ minuteOne }}</span>
                        <span class="">{{ minuteTwo }}</span>
                    </div>
                    <span class="space-margin">:</span>
                    <div style="display: flex">
                        <span class="">{{ secondOne }}</span>
                        <span class="">{{ secondTwo }}</span>
                    </div>
                </div>
                <div class="timer-title-container">
                    <div>{{ popup.hours_text }}</div>
                    <div>{{ popup.minutes_text }}</div>
                    <div>{{ popup.seconds_text }}</div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "StyleSecondTimer",
    props: ['popup'],
    data() {
        return {
            hourOne: 0,
            hourTwo: 0,
            minuteOne: 0,
            minuteTwo: 0,
            secondOne: 0,
            secondTwo: 0,
        }
    },
    watch: {
        popup: {
            deep: true,
            handler() {
                this.setTimer();
            }
        },
    },
    mounted() {
        this.setTimer()
    },
    methods: {
        setTimer() {
            this.hourTwo = this.popup.hours % 10;
            this.hourOne = Math.trunc(this.popup.hours / 10);
            this.minuteTwo = this.popup.minutes % 10;
            this.minuteOne = Math.trunc(this.popup.minutes / 10);
            this.secondTwo = this.popup.seconds % 10;
            this.secondOne = Math.trunc(this.popup.seconds / 10);
        }
    }
}
</script>

<style scoped lang="scss">

.timer-text {
  margin-right: 0 !important;
}

.number-container {
    display: flex;
    padding: 0 8px;
    justify-content: space-evenly;
    align-items: center;
}

.timer-title-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    font-size: 10px;
    font-weight: 400;
}

.timer-number-background {
    font-size: 0;
    min-width: 210px;
    margin-top: 5px;
    font-weight: 600;
    padding: 5px 25px;
    border-radius: 5px;
    span {
        font-size: 27px
    }
}

.space-margin {
    margin: 0 5px;
}

.timer-style-2 {
    margin-top: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

</style>
